Package: org.gradle.api.artifacts.component

## [Java] Interface ComponentArtifactIdentifier

- An immutable identifier for an artifact that belongs to some component instance.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ComponentIdentifier` | `getComponentIdentifier()` Returns the id of the component that this artifact belongs to.
    `String` | `getDisplayName()` Returns some human-consumable display name for this artifact.

- - ### Method Detail

    - #### public ComponentIdentifier getComponentIdentifier()

      Returns the id of the component that this artifact belongs to.

    - #### public String getDisplayName()

      Returns some human-consumable display name for this artifact.